
QGIS Application - Bug report #5071

A defined custom CRS is not applied when loading a shp

2012-02-22 11:43 PM - craigleat -

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:1.7.4 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 14838

Description

With 1.7.4 on windows try the following:

1. Start a new project, enable OTF and set the project to wgs84

2. Check my crs database contains the definition for my custom crs

3. Add a shp using my custom crs (layer contains a valid prj file)

4. Goto layer properties and I see "EPSG:31282 - MGI (Ferro) / Austria Central Zone" has been applied. ???

5. Select the custom crs and the layer displays correctly i.e there is nothing wrong with the crs definition!

This only affects a custom crs. Layers with a standard crs work fine.

Do the same with a current master version and all is well.

Can the fix be back ported please...?

History

#1 - 2012-02-23 07:48 AM - marisn -

Hm. This seems to be similar to #5066 - seems that QGIS CRS detection algorithm is failing in 1.7. It would be better to fail completely to detect CRS (and

ask user!) than use a wrong one...

#2 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#3 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-09-22 02:48 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

if the issue was already fixed in master when the ticket was filed then I assume it should be ok also in qgis 2.0. In general there are no backports, but

starting from now on there should be more frequent releases.
